<?xml version="1.0"?>
<xsl:stylesheet 
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  version="1.0">
  <xsl:output method="html" encoding="utf-8"/>
<xsl:template match="/">
<html lang="ja">
<head>
</head>
<body>
<xsl:apply-templates select="ProductInfo/Details" />
</body>
</html>

</xsl:template>

<xsl:template match="Details">
<xsl:variable name="cat" select="Catalog" />
<xsl:variable name="asin" select="Asin" />
<xsl:variable name="name" select="ProductName" />
<xsl:variable name="auther" select="Authors" />
<xsl:variable name="artist" select="Artists" />
<xsl:variable name="manu" select="Manufacturer" />
<xsl:variable name="date" select="ReleaseDate" />
<xsl:variable name="price" select="ListPrice" />
<xsl:variable name="media" select="Media" />
<xsl:variable name="plat" select="Platforms" />
<xsl:variable name="img" select="ImageUrlMedium" />
<xsl:variable name="baseurl">http://www.amazon.co.jp/exec/obidos/ASIN/</xsl:variable>

<div>
<xsl:attribute name="class">amz</xsl:attribute>

	<img>
  	  <xsl:attribute name="class">amzimg</xsl:attribute>
  	  <xsl:attribute name="src">
  	  <xsl:value-of select="$img"/>
  	  </xsl:attribute>
	</img>

	<a>
  	  <xsl:attribute name="href">
  	  <xsl:value-of select="concat($baseurl, $asin, '/ref=nosim/takehana-22/')" />
  	  </xsl:attribute>
	  <xsl:attribute name="target">_blank</xsl:attribute>
	  <xsl:value-of select="$name"/>
	</a>

	<br />
	<br />

  <xsl:if test="$cat='Book'">
		<xsl:value-of select="$auther"/>
		<br />
  </xsl:if>
  <xsl:if test="$cat='Music'">
		<xsl:value-of select="$artist"/>
		<br />
  </xsl:if>

	<xsl:value-of select="$manu"/>
	<br />
	<xsl:value-of select="$date"/>
	<br />

	<xsl:value-of select="$media"/>
  <xsl:if test="$media='Video Game'">
 	  <xsl:value-of select="concat(' [', $plat,']')" />
  </xsl:if>

	<br class="amzend"/>

</div>

</xsl:template>
</xsl:stylesheet>